DisableUser [auth.alauda.io/v1]

This API is installed only when the chart is deployed for the global cluster. It is not available on workload clusters.

Description
DisableUser is the Schema for the disableusers API
Type
object

Specification

PropertyTypeDescription
apiVersionstring

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#resources

kindstring

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#types-kinds

metadataObjectMeta

ObjectMeta is metadata that all persisted resources must have, which includes all objects users must create.

specobject

DisableUserSpec defines the desired state of DisableUser

statusobject

DisableUserStatus defines the observed state of DisableUser

.spec

Description
DisableUserSpec defines the desired state of DisableUser
Type
object
Required
ExpirationUser
PropertyTypeDescription
Expirationstring
Userstring

.status

Description
DisableUserStatus defines the observed state of DisableUser
Type
object

API Endpoints

The following API endpoints are available:

  • /apis/auth.alauda.io/v1/disableusers
    • DELETE: delete collection of DisableUser
    • GET: list objects of kind DisableUser
    • POST: create a new DisableUser
  • /apis/auth.alauda.io/v1/disableusers/{name}
    • DELETE: delete the specified DisableUser
    • GET: read the specified DisableUser
    • PATCH: partially update the specified DisableUser
    • PUT: replace the specified DisableUser
  • /apis/auth.alauda.io/v1/disableusers/{name}/status
    • GET: read status of the specified DisableUser
    • PATCH: partially update status of the specified DisableUser
    • PUT: replace status of the specified DisableUser

/apis/auth.alauda.io/v1/disableusers

HTTP method
DELETE
Description
delete collection of DisableUser
HTTP responses
HTTP codeResponse body
200 - OKStatus schema
401 - UnauthorizedEmpty
HTTP method
GET
Description
list objects of kind DisableUser
HTTP responses
HTTP codeResponse body
200 - OKDisableUserList schema
401 - UnauthorizedEmpty
HTTP method
POST
Description
create a new DisableUser
Query parameters
ParameterTypeDescription
dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
Body parameters
ParameterTypeDescription
bodyDisableUser schemaapplication/json formatted
HTTP responses
HTTP codeResponse body
200 - OKDisableUser schema
201 - CreatedDisableUser schema
202 - AcceptedDisableUser schema
401 - UnauthorizedEmpty

/apis/auth.alauda.io/v1/disableusers/{name}

HTTP method
DELETE
Description
delete the specified DisableUser
Query parameters
ParameterTypeDescription
dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
HTTP responses
HTTP codeResponse body
200 - OKStatus schema
202 - AcceptedStatus schema
401 - UnauthorizedEmpty
HTTP method
GET
Description
read the specified DisableUser
HTTP responses
HTTP codeResponse body
200 - OKDisableUser schema
401 - UnauthorizedEmpty
HTTP method
PATCH
Description
partially update the specified DisableUser
Query parameters
ParameterTypeDescription
dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
HTTP responses
HTTP codeResponse body
200 - OKDisableUser schema
401 - UnauthorizedEmpty
HTTP method
PUT
Description
replace the specified DisableUser
Query parameters
ParameterTypeDescription
dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
Body parameters
ParameterTypeDescription
bodyDisableUser schemaapplication/json formatted
HTTP responses
HTTP codeResponse body
200 - OKDisableUser schema
201 - CreatedDisableUser schema
401 - UnauthorizedEmpty

/apis/auth.alauda.io/v1/disableusers/{name}/status

HTTP method
GET
Description
read status of the specified DisableUser
HTTP responses
HTTP codeResponse body
200 - OKDisableUser schema
401 - UnauthorizedEmpty
HTTP method
PATCH
Description
partially update status of the specified DisableUser
Query parameters
ParameterTypeDescription
dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
HTTP responses
HTTP codeResponse body
200 - OKDisableUser schema
401 - UnauthorizedEmpty
HTTP method
PUT
Description
replace status of the specified DisableUser
Query parameters
ParameterTypeDescription
dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
Body parameters
ParameterTypeDescription
bodyDisableUser schemaapplication/json formatted
HTTP responses
HTTP codeResponse body
200 - OKDisableUser schema
201 - CreatedDisableUser schema
401 - UnauthorizedEmpty